import { List } from "immutable";
import { TypedMap } from "./TypedMap";
export declare type FromJS<T> = T extends (infer L)[] ? List<FromJS<L>> : T extends {
    [key: string]: any;
} ? TypedMap<{
    [x in keyof T]: FromJS<T[x]>;
}> : T;
export declare const typedFromJS: <T>(state: T) => FromJS<T>;
